//+------------------------------------------------------------------+
//|                                                    M-Candles.mq4 |
//|            H1   -   . aka KimIV |
//|                                              http://www.kimiv.ru |
//|                -   |
//|                                                    ICQ 138092006 |
//|         2008.09.05         |
//+------------------------------------------------------------------+
//|                                                                  |
//|                                                    12 June 2013  |
//|                                                                  |
//|                                            Modified by RaptorUK  |
//|                                                                  |
//|  Modified to make painting bar 0 configurable, all modifications |
//|         marked RaptorUK                                          |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "  aka MikeZTN"
#property link      "ICQ 138092006"

#property indicator_separate_window
#property indicator_minimum 0
#property indicator_maximum 2
#property indicator_buffers 2
#property indicator_color1    DarkGreen //DarkGreen 
#property indicator_width1    12
#property indicator_color2    Maroon //Maroon 
#property indicator_width2    12

//-------   ------------------------------------------
extern int TimeFrame       = 1440;     

extern color ColorUp   = DarkGreen;
extern color ColorDown = Maroon;


double Bulls_Bears[];
double Bears_Bulls[];



//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
void init() {
   SetIndexBuffer(0,Bulls_Bears);
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexArrow(0,110);  //square:110//(hollow square:111,112;//59;250;249-hollow rectangle)//
   SetIndexBuffer(1,Bears_Bulls);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexArrow(1,110);

}

//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
void deinit() {
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
  double   po, pc;      

  
  bool OK_Period=false;   
  switch (TimeFrame)
  {    
    case 1:OK_Period=true;break;
    case 5:OK_Period=true;break;
    case 15:OK_Period=true;break;
    case 30:OK_Period=true;break;
    case 60:OK_Period=true;break;
    case 240:OK_Period=true;break;
    case 1440:OK_Period=true;break;
    case 10080:OK_Period=true;break;
    case 43200:OK_Period=true;break;
  }
  if (OK_Period==false)
     {
        Comment("TimeFrame != 1,5,15,30,60,240(H4), 1440(D1),10080(W1), 43200(MN) !");   
//      Comment("     TimeFrame!     : 1,5,15,30,60,240,1440  ..");   
       return(0);
     }
  if (Period()>TimeFrame) 
  {
    Comment("mCandles: TimeFrame<"+Period());//      ! (  " + Period() + ")");
//  Comment("      ! (  " + Period() + ")");
    return(0);
  }
    
   datetime TimeArray[];
   int i,limit,y=0,counted_bars=IndicatorCounted();

// Plot defined time frame on to current time frame
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame);

   limit=Bars-counted_bars+TimeFrame/Period();
   for(i=0,y=0;i<limit;i++)
     {
      if(Time[i]<TimeArray[y]) 
         y++;

      Bulls_Bears[i]       =EMPTY_VALUE;
      Bears_Bulls[i]       =EMPTY_VALUE;

      po = iOpen(Symbol(), TimeFrame, y);
      pc = iClose(Symbol(), TimeFrame, y);

      if(po<pc)  
         Bulls_Bears[i]=2;
      if(po>pc) 
         Bears_Bulls[i]=2;
    
     }       
      
  
  return(0);
}
//+------------------------------------------------------------------+